Bug 432921 - Review Request: fldigi - Digital modem program for Linux.
Review Request: fldigi - Digital modem program for Linux.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-15 01:48 EST by Robert 'Bob' Jensen
Modified: 2014-06-09 15:14 EDT (History)
6 users (show)

See Also:
Fixed In Version: 2.09-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-18 22:18:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
vanmeeuwen+fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robert 'Bob' Jensen 2008-02-15 01:48:08 EST
Spec URL: http://bjensen.fedorapeople.org/pkgs/hams/SPECS/fldigi.spec
SRPM URL: http://bjensen.fedorapeople.org/pkgs/hams/SRPMS/fldigi-2.09-2.fc8.src.rpm
Description: fldigi is a modem program which supports most of the digital modes used by hamradio operators today. You can also use the program for calibrating your sound card to WWV or doing a frequency measurement test. The program also comes with a CW decoder. fldigi is written with the help of the Fast Light Toolkit X GUI.

Package builds against rawhide, is waiting for https://admin.fedoraproject.org/updates/F8/FEDORA-2008-1308 so it can be built for F8.
Comment 1 Jeroen van Meeuwen 2008-02-15 19:35:35 EST
RPM Lint: OK
Package name: OK
Spec file: OK
License: OK
Actual License: GPLv2+ (from source)
%doc License: N/A
Spec file language: English
Spec file readable: OK
Upstream source vs. used tarball: OK (md5sum match)
Compile and Build:
 - F7 FAILED (not targeted),
 - F8 OK,
 - rawhide OK,
 - EL5 FAILED (not targeted)

Applicable Package Guidelines:
 - -debuginfo package: OK
 - .desktop file: Upstream Make (Automake) does not call desktop-file-install

Locales: N/A
Shared libs: N/A
Relocatable: N/A
Directory and file ownership: OK
No duplicate files in %files: OK
File Permissions: OK
Macro usage: OK
Code vs. Content: OK
(Large) Documentation: N/A
%doc affecting runtime: OK
Header files in -devel package: N/A
Static Libraries in -static package: N/A
pkgconfig Requires: N/A
Library files: N/A
Devel requires base package: N/A
.la libtool archives: N/A
Duplicate ownership of files/directories: OK
Remove BuildRoot: OK
UTF-8 filenames: OK

APPROVED
Comment 2 Jeroen van Meeuwen 2008-02-15 19:37:52 EST
Mark as Review done
Comment 3 Robert 'Bob' Jensen 2008-02-15 19:45:34 EST
New Package CVS Request
=======================
Package Name: fldigi
Short Description: Digital modem program for Linux
Owners: bjensen,sconklin
Branches: F-8
InitialCC: sindrebp
Cvsextras Commits: Yes
Comment 4 Kevin Fenzi 2008-02-15 22:28:24 EST
cvs done. 
Comment 5 Mamoru TASAKA 2008-02-15 23:05:33 EST
- When installing desktop files, desktop-file-install must be called
  ("desktop-file-install usage" of
    http://fedoraproject.org/wiki/Packaging/Guidelines )
Comment 6 Robert 'Bob' Jensen 2008-02-16 11:03:14 EST
(In reply to comment #5)
> - When installing desktop files, desktop-file-install must be called
>   ("desktop-file-install usage" of
>     http://fedoraproject.org/wiki/Packaging/Guidelines )

I will review this and make the change before the next build.

Thank you for looking.
Comment 7 Fedora Update System 2008-02-16 16:38:51 EST
fldigi-2.09-3.fc8 has been submitted as an update for Fedora 8
Comment 8 Steve Conklin 2008-02-16 16:39:32 EST
Change made. Tagged, built for devel and F-8, and pushed to F-8.

Thanks!
Comment 9 Robert 'Bob' Jensen 2008-02-16 18:44:13 EST
Thank you Steve, Mamoru, Jeroen and Kevin
Comment 10 Fedora Update System 2008-02-18 22:18:37 EST
fldigi-2.09-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Richard Shaw 2013-08-27 08:59:58 EDT
Package Change Request
======================
Package Name: fldigi
New Branches: el6
Owners: hobbes1069
InitialCC:
Comment 12 Jon Ciesla 2013-08-27 09:37:54 EDT
Git done (by process-git-requests).
Comment 13 Richard Shaw 2014-06-09 11:08:48 EDT
Package Change Request
======================
Package Name: fldigi
New Branches: epel7
Owners: hobbes1069
InitialCC:
Comment 14 Jon Ciesla 2014-06-09 15:14:16 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.